# DaprProtos.BulkPublishResponseFailedEntryOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.BulkPublishResponseFailedEntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.BulkPublishResponseFailedEntry`, `DaprProtos.BulkPublishResponseFailedEntry.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.BulkPublishResponseFailedEntryOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getEntryId()` The response scoped unique ID referring to this message
`com.google.protobuf.ByteString` `getEntryIdBytes()` The response scoped unique ID referring to this message
`String` `getError()` The error message if any on failure
`com.google.protobuf.ByteString` `getErrorBytes()` The error message if any on failure

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getEntryId

    String getEntryId()

     The response scoped unique ID referring to this message

`string entry_id = 1;`

Returns:
  The entryId.

#### getEntryIdBytes

    com.google.protobuf.ByteString getEntryIdBytes()

     The response scoped unique ID referring to this message

`string entry_id = 1;`

Returns:
  The bytes for entryId.

#### getError

    String getError()

     The error message if any on failure

`string error = 2;`

Returns:
  The error.

#### getErrorBytes

    com.google.protobuf.ByteString getErrorBytes()

     The error message if any on failure

`string error = 2;`

Returns:
  The bytes for error.